## com.rbnb.api
Class RBNBTrustManager

    java.lang.Object
      com.rbnb.api.RBNBTrustManager

All Implemented Interfaces:
  TrustManager, X509TrustManager

    public class RBNBTrustManager

extends Object
implements X509TrustManager

RBNBTrustManager

Author:
  Eugen Kuleshov

Constructor Summary
`RBNBTrustManager()`

Method Summary
`void` `checkClientTrusted(X509Certificate[] cert, String authType)`
`void` `checkServerTrusted(X509Certificate[] cert, String authType)`
`X509Certificate[]` `getAcceptedIssuers()`
`boolean` `isClientTrusted(X509Certificate[] cert)`
`boolean` `isServerTrusted(X509Certificate[] cert)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RBNBTrustManager

    public RBNBTrustManager()

Method Detail

### checkClientTrusted

    public void checkClientTrusted(X509Certificate[] cert,
                                   String authType)

  Specified by:
    `checkClientTrusted` in interface `X509TrustManager`

### isClientTrusted

    public boolean isClientTrusted(X509Certificate[] cert)

### checkServerTrusted

    public void checkServerTrusted(X509Certificate[] cert,
                                   String authType)

  Specified by:
    `checkServerTrusted` in interface `X509TrustManager`

### isServerTrusted

    public boolean isServerTrusted(X509Certificate[] cert)

### getAcceptedIssuers

    public X509Certificate[] getAcceptedIssuers()

  Specified by:
    `getAcceptedIssuers` in interface `X509TrustManager`